Package ghidra.graph.viewer.renderer

# Class PaintableShape

java.lang.Object
ghidra.graph.viewer.renderer.PaintableShape

Direct Known Subclasses:
  `MouseClickedPaintableShape`, `MouseDraggedLinePaintableShape`, `MouseDraggedPaintableShape`

public class PaintableShape extends Object
A base class for shapes that can be painted on the graph. See `MouseDebugPaintable`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Color`
  `color`
  `protected Shape`
  `shape`
  `protected boolean`
  `shapeFinished`
  `protected Stroke`
  `stroke`
  `protected double`
  `tx`
  `protected double`
  `ty`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `PaintableShape(double tx, double ty)`
  ``
  `PaintableShape(Shape s)`
  ``
  `PaintableShape(Shape s, Color c)`
  ``
  `PaintableShape(Shape s, Color c, Stroke stroke)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Color`
  `getColor()`
  `Shape`
  `getShape()`
  `Stroke`
  `getStroke()`
  `double`
  `getTx()`
  `double`
  `getTy()`
  `boolean`
  `isShapeFinished()`
  `void`
  `paint(Graphics2D g)`
  `void`
  `shapeFinished()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### shape

    protected Shape shape

  - ### color

    protected Color color

  - ### stroke

    protected Stroke stroke

  - ### tx

    protected double tx

  - ### ty

    protected double ty

  - ### shapeFinished

    protected boolean shapeFinished

- ## Constructor Details

  - ### PaintableShape

    protected PaintableShape(double tx, double ty)

  - ### PaintableShape

    public PaintableShape(Shape s)

  - ### PaintableShape

    public PaintableShape(Shape s, Color c)

  - ### PaintableShape

    public PaintableShape(Shape s, Color c, Stroke stroke)

- ## Method Details

  - ### getTx

    public double getTx()

  - ### getTy

    public double getTy()

  - ### getShape

    public Shape getShape()

  - ### getColor

    public Color getColor()

  - ### getStroke

    public Stroke getStroke()

  - ### shapeFinished

    public void shapeFinished()

  - ### isShapeFinished

    public boolean isShapeFinished()

  - ### paint

    public void paint(Graphics2D g)